Bug 147008 - CRASH: Inserting page break or newline
Summary: CRASH: Inserting page break or newline
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.4.0.0 alpha0+ Master
Hardware: All All
: medium normal
Assignee: Michael Stahl (allotropia)
URL:
Whiteboard: target:7.4.0 target:7.3.1
Keywords: bibisected, bisected, haveBacktrace, regression
Depends on:
Blocks: Crash
  Show dependency treegraph
 
Reported: 2022-01-26 18:44 UTC by Xisco Faulí
Modified: 2022-02-24 16:06 UTC (History)
5 users (show)

See Also:
Crash report or crash signature: ["SwNodeIndex::SwNodeIndex(SwNodeIndex const &,o3tl::strong_int<long,Tag_SwNodeOffset>)"]
Regression By:


Attachments
bt with debug symbols (4.56 KB, text/plain)
2022-01-28 09:15 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2022-01-26 18:44:46 UTC
Steps to reproduce:
1. Open attachment 47509 [details] from bug 37912
2. Insert a new line or a page break

-> Crash

Reproduced in

Version: 7.4.0.0.alpha0+ / LibreOffice Community
Build ID: 4935bb372e3618eca105997c83101aa2b3d422e3
CPU threads: 8; OS: Linux 5.10; UI render: default; VCL: gtk3
Locale: es-ES (es_ES.UTF-8); UI: en-US
Calc: threaded
Comment 1 Xisco Faulí 2022-01-26 18:45:46 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=ab6176e88f78d0b3aa2490fbc7858304c2d4a437

author	Michael Stahl <michael.stahl@allotropia.de>	2022-01-19 12:10:35 +0100
committer	Michael Stahl <michael.stahl@allotropia.de>	2022-01-19 16:05:49 +0100
commit ab6176e88f78d0b3aa2490fbc7858304c2d4a437 (patch)
tree 27b0b2d781c24c3beb445db2b1ccf75b98da453e
parent 2584950681b6485bb0772d2719cafee678cf7583 (diff)
tdf#139638 sw_fieldmarkhide: hide fieldmark command in ModelToViewHelper

Bisected with:bibisect-linux64-7.4

Adding Cc: to Michael Stahl
Comment 2 BogdanB 2022-01-27 22:35:15 UTC
Repro

Version: 7.4.0.0.alpha0+ / LibreOffice Community
Build ID: 2f4f4cbeb8e50081d607b86b0475b93971c40ab8
CPU threads: 16; OS: Linux 5.13; UI render: default; VCL: gtk3
Locale: ro-RO (ro_RO.UTF-8); UI: en-US
Calc: threaded
Comment 3 Julien Nabet 2022-01-28 09:15:42 UTC
Created attachment 177864 [details]
bt with debug symbols

On pc Debian x86-64 with master sources updated today, I got an assertion.

I also noticed this on console:
warn:vcl:25316:25316:vcl/source/outdev/text.cxx:1310: Trying to setup invalid cached glyphs - falling back to relayout!
warn:vcl:25316:25316:vcl/source/outdev/text.cxx:1310: Trying to setup invalid cached glyphs - falling back to relayout!

but it's may be unrelated.
Comment 4 Commit Notification 2022-02-02 08:47:44 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/ea06852ee87531794f07710de496734a647a9062

tdf#147008 sw_fieldmarkhide: fix invalid NonTextFieldmark positions

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Michael Stahl (allotropia) 2022-02-02 08:49:00 UTC
fixed on master
Comment 6 Xisco Faulí 2022-02-02 11:04:51 UTC
Verified in

Version: 7.4.0.0.alpha0+ / LibreOffice Community
Build ID: ebcf824de8101fbbda01ee91010698977041f031
CPU threads: 8; OS: Linux 5.10; UI render: default; VCL: gtk3
Locale: es-ES (es_ES.UTF-8); UI: en-US
Calc: threaded

@Michael Stahl, thanks for fixing this issue!!
Comment 7 Commit Notification 2022-02-02 11:07:01 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-7-3":

https://git.libreoffice.org/core/commit/e19044a21287b6538ae5962c5fb29b711c09e4f9

tdf#147008 sw_fieldmarkhide: fix invalid NonTextFieldmark positions

It will be available in 7.3.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.